ChangeSet 1.1155.3.6, 2003/05/19 10:56:49-07:00, Walter.Harms@Informatik.Uni-Oldenburg.DE

[PATCH] USB: fixes kernel_thread


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Tue May 20 17:25:15 2003
+++ b/drivers/usb/core/hub.c	Tue May 20 17:25:15 2003
@@ -42,7 +42,7 @@
 static LIST_HEAD(hub_list);		/* List of all hubs (for cleanup) */
 
 static DECLARE_WAIT_QUEUE_HEAD(khubd_wait);
-static int khubd_pid = 0;			/* PID of khubd */
+static pid_t khubd_pid = 0;			/* PID of khubd */
 static DECLARE_COMPLETION(khubd_exited);
 
 #ifdef	DEBUG
@@ -1126,7 +1126,7 @@
  */
 int usb_hub_init(void)
 {
-	int pid;
+	pid_t pid;
 
 	if (usb_register(&hub_driver) < 0) {
 		err("Unable to register USB hub driver");
